跳到主要内容

修改字段属性 (V2)

本操作可以修改 Collection 中字段的属性。

POST/v2/vectordb/collections/fields/alter_properties
连接端点

该 API 的 Base URL 格式如下:

https://${CLUSTER_ENDPOINT}

📘说明
  • 你需要填入您的 Zilliz Cloud 集群的 ${CLUSTER_ENDPOINT}
  • 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
shell
export CLUSTER_ENDPOINT=""
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。

示例值:Bearer {{TOKEN}}
请求体
dbNamestring

The name of the database which the collection belongs to. Setting this to a non-existing database results in an error. If not specified, the default database applies.

collectionNamestring必填项

The name of the target collection. Setting this to a non-existing collection results in an error.

fieldNamestring必填项

待修改属性的字段名称。

fieldParamsobject

待修改的字段属性。

max_lengthinteger

字段的最大长度。将该属性设置为非零值将限制字段的最大长度为指定值。
该参数仅适用于 VarChar 类型的字段。

max_capacityinteger

字段的最大容量。将该属性设置为非零值将限制字段的最大容量为指定值。
该参数仅适用于 Array 类型的字段。

mmap_enabledboolean

是否为字段启用内存映射文件。

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/fields/alter_properties" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "test_collection",
"fieldName": "my_varchar",
"fieldParams": {
"max_length": 100
}
}'
响应

返回空对象。

codeinteger

响应码。

dataobject

Returns an error message.

codeinteger

响应码。

messagestring

错误描述。

Successjson
{
"code": 0,
"data": {}
}